LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 09-07-2015, 02:12 AM   #31
_n00b
Member
 
Registered: Aug 2015
Posts: 35

Original Poster
Rep: Reputation: Disabled

I use Kali Linux, because everyone in my company use it. I think i can just install the required packages afterwards, so this should not be a problem. Which OS would you recommend?

Last edited by _n00b; 09-07-2015 at 02:36 AM.
 
Old 09-09-2015, 03:17 AM   #32
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 9,975
Blog Entries: 7

Rep: Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453Reputation: 2453
Quote:
Originally Posted by _n00b View Post
I use Kali Linux, because everyone in my company use it.
which company is that?
i'm intrigued. what is it that your company is doing?
 
Old 09-09-2015, 06:47 AM   #33
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2018 CentOS6.10 CentOS7.5 + 50+ other Linux OS, for test only.
Posts: 17,110

Rep: Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489
Re #31.

Kali Linux is Debian / Ubuntu based, so Ubuntu 14.04 will do.
.. And you will have all the ~42,000 packages in the repo.


About "install the required packages afterwards" :
Your missing package is 'g++-arm-linux-gnueabi'.
What's the specs for your gcc-arm-linux-gnueabi ?
Please show the reply from $ dpkg -s gcc-arm-linux-gnueabi

-
 
Old 09-09-2015, 08:19 AM   #34
_n00b
Member
 
Registered: Aug 2015
Posts: 35

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
Re #31.
Kali Linux is Debian / Ubuntu based, so Ubuntu 14.04 will do.
.. And you will have all the ~42,000 packages in the repo.
-
I just downloaded and installed Ubuntu 14.04 and i will try it there, if this doesn't work either, then i try to create my own toolchain, instead of using the one which i mentioned in post #8, because i start to think that it is the fault of the toolchain, gcc 4.4.3 is maybe too outdated?
Quote:
I use this one: arm-linux-gcc-4.4.3 which can be found on the following site:
https://www.mediafire.com/folder/9cs...#8wdvqqe9hfjxz
But i tell you the output $ dpkg -s gcc-arm-linux-gnueab anyways:

Output (german):
Code:
dpkg-query: Paket gcc-arm-linux-gnueab ist nicht installiert und es ist keine Information verfgbar
Verwenden Sie dpkg --info (= dpkg-deb --info) zum Untersuchen von Archiven
und dpkg --contents (= dpkg-deb --contents) zum Auflisten ihres Inhalts.
Means: package is not installed and there is no information available
Quote:
which company is that?
i'm intrigued. what is it that your company is doing?
It's a small company in germany, we sell our own network devices. But i better don't tell you the name of the company tho, because i wan't to stay "anonymous".

Last edited by _n00b; 09-09-2015 at 08:21 AM.
 
Old 09-11-2015, 10:12 AM   #35
_n00b
Member
 
Registered: Aug 2015
Posts: 35

Original Poster
Rep: Reputation: Disabled
I tried to create my own toolchain with crosstool-ng. I downloaded crosstools, extracted it and executed "sh demo-arm.sh".
It downloaded alot of packages, it often get error messages because some packages are not existing on the sources anymore. So i had to search them manually and place them on "/home/downloads" so they could be found.

But now i get this error:

Code:
configure: error:
*** These critical programs are missing or too old: gcc
*** Check the INSTALL file for required versions.
The output of $ gcc --version | head -1 is: gcc (Ubuntu 4.8.4-2ubuntu1~14.04) 4.8.4
 
Old 09-11-2015, 12:02 PM   #36
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2018 CentOS6.10 CentOS7.5 + 50+ other Linux OS, for test only.
Posts: 17,110

Rep: Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489
Re #35.

"crosstool-ng-1.21.0.tar.xz" :
I found no script by name 'demo-arm.sh' in `crosstool-ng-1.21.0/'.
 
1 members found this post helpful.
Old 09-14-2015, 02:15 AM   #37
_n00b
Member
 
Registered: Aug 2015
Posts: 35

Original Poster
Rep: Reputation: Disabled
Im sorry, my link was not correct, i downloaded from here. I used crosstool 0.43. I will try it with "crosstool-ng-1.9.3.tar.xz" from http://crosstool-ng.org/download/crosstool-ng/ today.

Last edited by _n00b; 09-14-2015 at 02:43 AM.
 
Old 09-14-2015, 06:01 AM   #38
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2018 CentOS6.10 CentOS7.5 + 50+ other Linux OS, for test only.
Posts: 17,110

Rep: Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489Reputation: 3489
Re #37.

`crosstool-ng-1.9.3' : Still an old buggy version : 2011-Jan-31.
Latest "1.21.0" http://crosstool-ng.org/download/crosstool-ng/ >>>
>> http://crosstool-ng.org/download/cro...-1.21.0.tar.xz
>> 2015-Jun-10

Crostool-NG : The only crosstool which is constantly maintained.
The latest update is easier to spot here http://crosstool-ng.org/


-

Last edited by knudfl; 09-14-2015 at 06:09 AM.
 
1 members found this post helpful.
Old 09-14-2015, 10:33 AM   #39
_n00b
Member
 
Registered: Aug 2015
Posts: 35

Original Poster
Rep: Reputation: Disabled
Oh thank you, i have to look at the date of the file next time. I will try it tomorrow.
 
  


Reply

Tags
bluetooth, bluez, cross-compile, crostool-ng


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
bluez-utils cross-compiling error cloudlast Linux - Embedded & Single-board computer 5 08-27-2015 04:10 AM
Compiling and Deploying Bluez 4.x (Bluetooth Protocol Stack) linuxbawks Linux - Software 3 08-04-2013 04:02 PM
Error in cross-compiling bluez-utils mrmuds Linux - Wireless Networking 0 06-30-2009 06:49 AM
Bluez 3.36 cross compiling + cannot find library kewl Linux - Software 1 06-17-2009 01:47 PM
Cross compiling Bluez-utils for ARM deshu Linux - Software 1 03-06-2009 02:29 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 07:12 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration